All pages
Powered by GitBook
1 of 1

Loading...

Get seller

Gets a single Seller object by ID.

get

Get seller by ID. Available for Client, Vendor and Operations accounts. Returns a single seller with id, name, status, address, currencies, and audit. Optional select query parameter controls which fields are returned.

Path parameters
idstringRequired

Seller identifier.

Query parameters
selectstringOptional

Optional RQL select statement to limit returned fields.

Responses
200

OK

application/json
idstringOptional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
atstring · date-time · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
omittedstring[]Optional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
externalIdstring · nullableOptional
statusstring · enumOptionalPossible values:
valuestringOptional
billingEnabledbooleanOptional
isDefaultbooleanOptional
addressLine1string · nullableOptional
addressLine2string · nullableOptional
postCodestring · nullableOptional
citystring · nullableOptional
statestring · nullableOptional
countrystring · nullableOptional
idstringOptional
namestringOptional
iconstring · nullableOptional
revisioninteger · int32Optional
companyNamestring · nullableOptional
statusstring · enumOptionalPossible values:
navisionany · nullableOptional
404

Not Found

application/json
typestring · nullableOptional
titlestring · nullableOptional
statusinteger · int32 · nullableOptional
detailstring · nullableOptional
instancestring · nullableOptional
Other propertiesanyOptional
get/public/v1/accounts/sellers/{id}
GET /public/v1/accounts/sellers/{id} HTTP/1.1
Host: api.platform.softwareone.com
Accept: */*
{
  "id": "SEL-7295-4834",
  "revision": 2,
  "name": "SoftwareOne AG",
  "externalId": "SWO_CH",
  "status": "Active",
  "currencies": [
    "USD"
  ],
  "address": {
    "addressLine1": "Some street",
    "postCode": "P0S C0D3",
    "city": "Some city",
    "state": "SS",
    "country": "CH"
  }
}

Get seller by ID